Page MenuHomePhabricator

Get onboarded to the Product Analytics team
Closed, ResolvedPublic

Description

Readings

As you would expect from a part of the Wikimedia movement, we have a sprawling mass of documentation. Here are some key pieces to get familiar with.

Foundation generalities

Audiences specifics

  • The Audiences annual plan. This has the specifics projects the whole department (almost) will be working on for next 11 months, as well as the metrics we've picked to measure them. The main focus is on contribution tools (which means "the Readers team" is no longer an accurate name, although we haven't changed it), and the secondary focus is on better use of data, so there's plenty to keep us busy! 😛
  • Marshall Miller's research and recommendations around the better use of data program ("the Marshall Plan"). There's an email out to him asking for the best links.

There are also a few key themes that the Product Analytics team is working on right now. They're fairly complex and not as well documented, so I'm going to discuss them in person with you, but I'm leaving the links here in case you want to delve into them at some point (thus the lack of check boxes!)

Other team specifics

Read about Analytics Engineering's annual plan work

Accounts and communications

  • Confirm your access to your staff SUL wiki account—Office IT will create the account for you, so you should receive a password reset email. They will probably name the account "MWang (WMF)", but if you want something else, like "Nettrom (WMF)", Trust and Safety can rename it for you. You can contact them at ca@wikimedia.org.
    • Edit your staff account's CSS and/or JS so that it's easily distinguished from your personal account. (Might I suggest the version from my global JS? 😁)
  • Confirm your access to your Office wiki account.—Office IT will also create this for you.
  • Confirm your access to the Product Analytics team drive. This access is tied to your membership in the product-analytics Google Group.
  • Consider creating a staff Phabricator account. This isn't required, but you may want to distinguish your staff and volunteer activity.

Email

Join the following lists (see office:Mailing lists for instructions if necessary):

  • analytics@lists.wikimedia.org
  • contributors-internal@wikimedia.org
  • research-internal@lists.wikimedia.org

You may also want to join wikitech-l@lists.wikimedia.org, which is a public list for general discussion of Wikimedia engineering. It's focused on software development, so it's not highly relevant to our work, but it can be helpful in keeping abreast of which engineering projects are underway.

Verify that you're subscribed to:

  • wmfall@lists.wikimedia.org
  • wmfreqs@lists.wikimedia.org
  • product-analytics@wikimedia.org

Lists ending in @wikimedia.org are Google Groups, so go to https://groups.google.com/ with your staff email account to see your subscriptions. Lists ending in @lists.wikimedia.org are Mailman lists, so go to https://lists.wikimedia.org/mailman/listinfo/{{listname}} and enter your email address under "change your settings or unsubscribe" to check.

  • Set up email filters so that mail from most mailing lists bypasses your inbox and goes to a folder which you can check occasionally. You don't want to skip this ;)

Calendar

  • Set up your Google Calendar so that meetings you create are modifiable by other attendees by default. This is found under settings > event settings > default guest permissions.

Instant messaging

  • Get familiar with Hangouts Chat
  • Join the appropriate IRC channels. The only private one I know of is #wikimedia-staff—instructions for getting added are on that wiki page. Product Analytics doesn't use IRC, but many in Audiences and Technology prefer it.

Profiles

  • Add a profile photo to your staff G Suite account.
  • Set up a Meta-wiki user page for your staff account. You don't need to do it on any other projects; the one on Meta will already be mirrored to other projects.
  • Add yourself to our team page
  • Add yourself to the Office wiki contact list. This is a good resource when you need to urgently contact other staff.

Meetings and team integration

The following is a list of people you should meet with to get to know them (if you don't already) and to hear about their work and their current priorities. It's up to you how long to schedule these for—I'd generally recommend an hour so you can have a comfortable conversation, but 30 minutes could work too if they're busy. This will add up to a significant chunk of time, so you can space these out over the next several weeks or a month: there's no rush. I've batched some of these together, but feel free to tweak that if you see a better way.

Product Analytics

  • Set up your weekly 1-on-1 with Jon Katz

You'll definitely see a lot of us other analysts during team meetings (which I'll invite you to), but at some point you should have a one-on-one conversation with each of us so we can discuss our skills, interests, and current projects and get to know each other personally.

  • Neil Quinn
  • Mikhail Popov
  • Chelsy Xie
  • Tilman Bayer

Growth

You are embedded in the Growth team, which means you'll form part of the team on a day-to-day level. That also means you should prioritize these meetings (Marshall has probably already scheduled his) so you can get started on that work at the same time you work through this list.

  • Get added to their standups
  • Get added to their mailing lists, chat channels, and so forth

You should set up one-on-one meetings to get to know the following people:

  • Marshall Miller, product manager
  • Jazmin Tanner, program manager
  • Ryan Kaldari, engineering manager
  • Benoît Evellin, community relations specialist
  • Roan Kattouw, lead engineer

Community Tech

You're also assigned to Community Tech, which means you're on call for reactive support. You should decide with the team what that means (e.g. which recurring meetings will you attend? which communication channels will you follow?).

Have introductory meetings with:

  • Joe Matazzoni, product manager
  • Niharika Kohli, product manager
  • Trevor Bolliger, anti-harassment tools product manager
  • Moriel Schottlender, lead engineer

Others

The other Contributors product managers:

  • Dan Garry, Editing's product manager
  • Pau Giner, Runa Bhattacharjee, and Amir Aharoni, the Language leadership triumvirate
  • Danny Horn, director of product

Some key people in Research and Analytics:

  • Nuria Ruiz, analytics manager
  • Andrew Otto and Dan Andreescu, engineers
  • Dario Taraborelli

Key people from Community Relations, formerly known as

  • Erica Litrenta, manager
  • Sherry Snyder and Nick Wilson, community relations specialists

Event Timeline

nshahquinn-wmf moved this task from Triage to Next Up on the Product-Analytics board.
nshahquinn-wmf removed Nettrom as the assignee of this task.May 10 2018, 12:27 AM
nshahquinn-wmf added a subscriber: Nettrom.

Actually, let's not overload Morten with notifications before he starts :)

nshahquinn-wmf renamed this task from Get onboarded to the Product Analytics team to [MORTEN] Get onboarded to the Product Analytics team.May 10 2018, 12:27 AM
Harej awarded a token.May 10 2018, 1:42 AM
nshahquinn-wmf closed this task as Resolved.May 10 2018, 6:54 PM
nshahquinn-wmf claimed this task.
nshahquinn-wmf removed a subscriber: Nettrom.

Hmm, let's try to actually unsubscribe Morten!

nshahquinn-wmf reopened this task as Open.May 10 2018, 6:55 PM

Damn it. Today is not my day.

nshahquinn-wmf removed nshahquinn-wmf as the assignee of this task.May 10 2018, 6:55 PM
nshahquinn-wmf updated the task description. (Show Details)
JKatzWMF moved this task from Next Up to Epics on the Product-Analytics board.Jun 28 2018, 8:23 PM
Vvjjkkii renamed this task from [MORTEN] Get onboarded to the Product Analytics team to 38caaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from 38caaaaaaa to [MORTEN] Get onboarded to the Product Analytics team.Jul 2 2018, 5:58 AM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
nshahquinn-wmf renamed this task from [MORTEN] Get onboarded to the Product Analytics team to Get onboarded to the Product Analytics team.Jul 26 2018, 8:09 PM
nshahquinn-wmf assigned this task to Nettrom.
nshahquinn-wmf updated the task description. (Show Details)
nshahquinn-wmf moved this task from Epics to Next Up on the Product-Analytics board.
nshahquinn-wmf updated the task description. (Show Details)
JKatzWMF updated the task description. (Show Details)Jul 30 2018, 3:07 AM
JKatzWMF updated the task description. (Show Details)
nshahquinn-wmf renamed this task from Get onboarded to the Product Analytics team to Get up to speed on the Product Analytics team.Jul 30 2018, 8:39 AM
nshahquinn-wmf updated the task description. (Show Details)
nshahquinn-wmf renamed this task from Get up to speed on the Product Analytics team to Get onboarded to the Product Analytics team.Jul 30 2018, 3:53 PM
nshahquinn-wmf updated the task description. (Show Details)
Nettrom updated the task description. (Show Details)Jul 30 2018, 7:46 PM
Nettrom updated the task description. (Show Details)Jul 31 2018, 12:10 AM

@Nettrom, just so you know, if some of these links make your eyes glaze over or you want more backstory on a topic, I'm always happy to explain what I can face-to-face in one of our onboarding meetings (and you are very welcome to schedule more).

The offer applies next week, next month, and beyond 😁

Nettrom updated the task description. (Show Details)Aug 1 2018, 10:15 PM
Nettrom updated the task description. (Show Details)Aug 2 2018, 7:41 PM
JAufrecht mentioned this in Unknown Object (Task).Aug 6 2018, 6:12 PM
Nettrom updated the task description. (Show Details)Aug 7 2018, 5:41 PM
Nettrom updated the task description. (Show Details)Aug 8 2018, 4:04 PM
Nettrom updated the task description. (Show Details)Aug 10 2018, 7:40 PM
nettrom_WMF added a subscriber: Nettrom.
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptOct 5 2018, 3:31 PM
nettrom_WMF closed this task as Resolved.Oct 5 2018, 3:32 PM
nettrom_WMF updated the task description. (Show Details)
nettrom_WMF removed a subscriber: Nettrom.